Description

Instead of hardcoding /dev/sda, use the first disk that the debian installer

detects through the `list-devices disk` command. This can still select

the wrong device for the particular setup, but at least does not install

into SD card devices any more (an issue we had a couple times on some machines).

Associated revisions

Revision 7e22b2d1 - 04/28/2016 12:48 PM - Philipp Wagner

Fixes #14845: Use the first partition in preseed (#271)

Instead of hardcoding /dev/sda, use the first disk that the debian

installer detects through the `list-devices disk` command. This can still

select the wrong device for the particular setup, but at least does not

install into SD card devices any more (we had that happening a couple of

times).

History

#1 - 04/27/2016 03:31 AM - Dominic Cleal

Hi Phillip - same comment as the other, please just send template fixes to https://github.com/theforeman/community-templates rather than against

Foreman itself.

#2 - 04/27/2016 03:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/271 added

#3 - 04/27/2016 03:44 AM - Philipp Wagner

No problem, did that. Do those PRs also require a ticket to be opened?

#4 - 04/27/2016 03:46 AM - Dominic Cleal

Thanks!  No ticket's required, but no harm in leaving this open now and we'll track and close it as usual.

#5 - 04/28/2016 01:01 PM - Philipp Wagner

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset community-templates|7e22b2d1803f82f7a8d9c4df0ded119eb846f207.

#6 - 05/03/2016 04:03 AM - Dominic Cleal

- Category set to Templates

- translation missing: en.field_release set to 136
